Upstream information

CVE-2020-7774 at MITRE

Description

This affects the package y18n before 3.2.2, 4.0.1 and 5.0.5. PoC by po6ix: const y18n = require('y18n')(); y18n.setLocale('__proto__'); y18n.updateLocale({polluted: true}); console.log(polluted); // true

SUSE information

Overall state of this security issue: Analysis

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1184450 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-2353
SUSE-SUSE-CAASP-4.0-2021-2620
SUSE Enterprise Storage 6
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-Storage-6-2021-2353
SUSE-Storage-6-2021-2620
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-2353
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-2620
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-2353
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-2620
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-HPC-15-2021-2353
SUSE-SLE-Product-HPC-15-2021-2620
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-10.12.2
  • nodejs8-devel >= 8.17.0-10.12.2
  • nodejs8-docs >= 8.17.0-10.12.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-10.12.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2353
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2618
SUSE Linux Enterprise Module for Web Scripting 12
  • nodejs10 >= 10.24.1-1.39.1
  • nodejs10-devel >= 10.24.1-1.39.1
  • nodejs10-docs >= 10.24.1-1.39.1
  • nodejs12 >= 12.22.2-1.32.1
  • nodejs12-devel >= 12.22.2-1.32.1
  • nodejs12-docs >= 12.22.2-1.32.1
  • nodejs14 >= 14.17.2-6.12.1
  • nodejs14-devel >= 14.17.2-6.12.1
  • nodejs14-docs >= 14.17.2-6.12.1
  • npm10 >= 10.24.1-1.39.1
  • npm12 >= 12.22.2-1.32.1
  • npm14 >= 14.17.2-6.12.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2021-2319
SUSE-SLE-Module-Web-Scripting-12-2021-2323
SUSE-SLE-Module-Web-Scripting-12-2021-2326
SUSE Linux Enterprise Module for Web Scripting 15 SP2
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs12 >= 12.22.2-4.16.1
  • nodejs12-devel >= 12.22.2-4.16.1
  • nodejs12-docs >= 12.22.2-4.16.1
  • nodejs14 >= 14.17.2-5.12.1
  • nodejs14-devel >= 14.17.2-5.12.1
  • nodejs14-docs >= 14.17.2-5.12.1
  • nodejs8 >= 8.17.0-10.12.2
  • nodejs8-devel >= 8.17.0-10.12.2
  • nodejs8-docs >= 8.17.0-10.12.2
  • npm10 >= 10.24.1-1.36.1
  • npm12 >= 12.22.2-4.16.1
  • npm14 >= 14.17.2-5.12.1
  • npm8 >= 8.17.0-10.12.2
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-2327
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-2353
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-2354
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-2618
SUSE-SLE-Module-Web-Scripting-15-SP2-2021-2620
SUSE Linux Enterprise Module for Web Scripting 15 SP3
  • nodejs12 >= 12.22.2-4.16.1
  • nodejs12-devel >= 12.22.2-4.16.1
  • nodejs12-docs >= 12.22.2-4.16.1
  • nodejs14 >= 14.17.2-5.12.1
  • nodejs14-devel >= 14.17.2-5.12.1
  • nodejs14-docs >= 14.17.2-5.12.1
  • npm12 >= 12.22.2-4.16.1
  • npm14 >= 14.17.2-5.12.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP3-2021-2327
SUSE-SLE-Module-Web-Scripting-15-SP3-2021-2354
SUSE Linux Enterprise Server 15 SP1-BCL
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-2353
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-2620
SUSE Linux Enterprise Server 15 SP1-LTSS
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-2353
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-2620
SUSE Linux Enterprise Server 15-LTSS
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-SLES-15-2021-2353
SUSE-SLE-Product-SLES-15-2021-2620
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-2353
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-2620
SUSE Linux Enterprise Server for SAP Applications 15
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-2353
SUSE-SLE-Product-SLES_SAP-15-2021-2620
SUSE Manager Proxy 4.0
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-2353
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-2620
SUSE Manager Retail Branch Server 4.0
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-2353
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-2620
SUSE Manager Server 4.0
  • nodejs-common >= 2.0-3.2.1
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs8 >= 8.17.0-3.47.2
  • nodejs8-devel >= 8.17.0-3.47.2
  • nodejs8-docs >= 8.17.0-3.47.2
  • npm10 >= 10.24.1-1.36.1
  • npm8 >= 8.17.0-3.47.2
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-2353
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-2620
openSUSE Leap 15.2
  • nodejs10 >= 10.24.1-lp152.2.15.1
  • nodejs10-debuginfo >= 10.24.1-lp152.2.15.1
  • nodejs10-debugsource >= 10.24.1-lp152.2.15.1
  • nodejs10-devel >= 10.24.1-lp152.2.15.1
  • nodejs10-docs >= 10.24.1-lp152.2.15.1
  • nodejs12 >= 12.22.2-lp152.3.15.1
  • nodejs12-debuginfo >= 12.22.2-lp152.3.15.1
  • nodejs12-debugsource >= 12.22.2-lp152.3.15.1
  • nodejs12-devel >= 12.22.2-lp152.3.15.1
  • nodejs12-docs >= 12.22.2-lp152.3.15.1
  • nodejs14 >= 14.17.2-lp152.11.1
  • nodejs14-debuginfo >= 14.17.2-lp152.11.1
  • nodejs14-debugsource >= 14.17.2-lp152.11.1
  • nodejs14-devel >= 14.17.2-lp152.11.1
  • nodejs14-docs >= 14.17.2-lp152.11.1
  • npm10 >= 10.24.1-lp152.2.15.1
  • npm12 >= 12.22.2-lp152.3.15.1
  • npm14 >= 14.17.2-lp152.11.1
Patchnames:
openSUSE-2021-1059
openSUSE-2021-1060
openSUSE-2021-1061
openSUSE Leap 15.3
  • nodejs10 >= 10.24.1-1.36.1
  • nodejs10-devel >= 10.24.1-1.36.1
  • nodejs10-docs >= 10.24.1-1.36.1
  • nodejs12 >= 12.22.2-4.16.1
  • nodejs12-devel >= 12.22.2-4.16.1
  • nodejs12-docs >= 12.22.2-4.16.1
  • nodejs14 >= 14.17.2-5.12.1
  • nodejs14-devel >= 14.17.2-5.12.1
  • nodejs14-docs >= 14.17.2-5.12.1
  • nodejs8 >= 8.17.0-10.12.2
  • nodejs8-devel >= 8.17.0-10.12.2
  • nodejs8-docs >= 8.17.0-10.12.2
  • npm10 >= 10.24.1-1.36.1
  • npm12 >= 12.22.2-4.16.1
  • npm14 >= 14.17.2-5.12.1
  • npm8 >= 8.17.0-10.12.2
Patchnames:
openSUSE-SLE-15.3-2021-2327
openSUSE-SLE-15.3-2021-2353
openSUSE-SLE-15.3-2021-2354
openSUSE-SLE-15.3-2021-2618


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 nodejs10 Released
SUSE CaaS Platform 4.0 nodejs8 In progress
SUSE Enterprise Storage 6 nodejs10 Released
SUSE Enterprise Storage 6 nodejs8 In progress
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs10 Released
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs8 In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS nodejs10 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS nodejs10 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS nodejs8 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs10 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs12 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs14 Analysis
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs4 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs6 In progress
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs10 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs12 In progress
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs14 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs8 In progress
SUSE Linux Enterprise Module for Web and Scripting 15 SP3 nodejs14 Released
SUSE Linux Enterprise Server 15 LTSS nodejs10 Released
SUSE Linux Enterprise Server 15 LTSS nodejs8 In progress
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux nodejs10 Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux nodejs8 In progress
SUSE Linux Enterprise Server 15 SP1 LTSS nodejs10 Released
SUSE Linux Enterprise Server 15 SP1 LTSS nodejs8 In progress
SUSE Linux Enterprise Server ESPOS 15 nodejs10 Released
SUSE Linux Enterprise Server ESPOS 15 nodejs8 In progress
SUSE Linux Enterprise Server for SAP Applications 15 nodejs10 Released
SUSE Linux Enterprise Server for SAP Applications 15 nodejs8 In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs10 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs8 In progress
SUSE Manager Proxy 4.0 nodejs10 Released
SUSE Manager Proxy 4.0 nodejs8 In progress
SUSE Manager Retail Branch Server 4.0 nodejs10 Released
SUSE Manager Retail Branch Server 4.0 nodejs8 In progress
SUSE Manager Server 4.0 nodejs10 Released
SUSE Manager Server 4.0 nodejs8 In progress
SUSE OpenStack Cloud 7 nodejs6 In progress
SUSE OpenStack Cloud Crowbar 8 nodejs6 In progress
SUSE OpenStack Cloud Crowbar 9 nodejs6 In progress